"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = babel6;

var _localRequire = _interopRequireDefault(require("@parcel/local-require"));

var _astConverter = require("./astConverter");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function babel6(asset, options) {
  let babel = await (0, _localRequire.default)('babel-core', asset.filePath);
  let config = options.config;
  config.code = false;
  config.ast = true;
  config.filename = asset.filePath;
  config.babelrc = false;
  config.parserOpts = Object.assign({}, config.parserOpts, {
    allowReturnOutsideFunction: true,
    allowHashBang: true,
    ecmaVersion: Infinity,
    strictMode: false,
    sourceType: 'module',
    locations: true
  }); // Passing a list of plugins as part of parserOpts seems to override any custom
  // syntax plugins a user might have added (e.g. decorators). We add dynamicImport
  // using a plugin instead.

  config.plugins = (config.plugins || []).concat(dynamicImport);
  let res = babel.transform((await asset.getCode()), config);

  if (res.ast) {
    return {
      type: 'babel',
      version: '7.0.0',
      program: (0, _astConverter.babel6toBabel7)(res.ast)
    };
  }
}

function dynamicImport() {
  return {
    manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push('dynamicImport');
    }

  };
}