"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getFlowConfig;

/**
 * Generates a babel config for stripping away Flow types.
 */
async function getFlowConfig(asset) {
  if (/^(\/{2}|\/\*+) *@flow/.test((await asset.getCode()).substring(0, 20))) {
    return {
      internal: true,
      babelVersion: 7,
      config: {
        plugins: [[require('@babel/plugin-transform-flow-strip-types')]]
      }
    };
  }

  return null;
}